Bug 13836 - suspend/resume for pcmcia issue
Summary: suspend/resume for pcmcia issue
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: apmd   
(Show other bugs)
Version: 6.2
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-07-12 22:09 UTC by Paul Wouters
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-12 22:09:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Paul Wouters 2000-07-12 22:09:22 UTC
in /etc/sysconfig/apm-scripts/apmscript (which is linked as suspend
and resume)

                  if test "x$HDPARM_AT_SUSPEND" != "x"; then
                        for i in /proc/ide/hd*; do
                                DRIVE=/dev/`echo $i |sed -e "s,.*/,,g"`
                                if test "x`cat $i/media`" = "xdisk"; then
                                        hdparm $HDPARM_AT_SUSPEND $DRIVE
                                fi
                        done
                  fi
                  sync

Wouldn't that last sync call either be obsolete or cause the disks to 
actually spin up?
                  [ "$PCMCIARESTART" = "yes" ] && /etc/rc.d/init.d/pcmcia
stop

So if you define PCMCIARESTART it will just stop and start the entire
pcmcia
subsystem, which is mostly not needed. But there is no other command used
to
suspend the pcmcia stuff. Would an else clause containing something like
this
be useful:

                /usr/sbin/cardctrl suspend

And a similar thing in the resume case?

That would suspend/resume the pcmcia subsystem without restarting it. 
This way, you keep more state information (eg network config, or disk mount
point.

Paul
Further in the file it has:

Comment 1 Bernhard Rosenkraenzer 2000-07-17 15:30:44 UTC
The restart issue is fixed in rawhide; the sync command is intentional to make
sure all data is there. The HDPARM_AT_SUSPEND isn't there to put the disk in
suspend mode (the BIOS does that), it's there for some broken BIOSes (SystemSoft
MobilePRO BIOS, for instance) that don't know how to handle a disk that is in
32-bit mode. (See the /etc/sysconfig/apmd file for details).

Your bug report doesn't seem complete as it ends with "Further in the file it
has:" - feel free to reopen it with more information if the further issues
aren't fixed.


Note You need to log in before you can comment on or make changes to this bug.